Subject: Re: linux-next Regression: Unable to locate IOAPIC

From: Daniel Exner <[email-masked]>
Date: Tue, 10 Jun 2008 22:29:10 +0200

Andrew Morton wrote:
> On Fri, 6 Jun 2008 19:30:28 +0200 Daniel Exner <[email-masked]> wrote:
> > Andrew Morton wrote:
> > > (cc linux-acpi)
> > >
> > > On Thu, 5 Jun 2008 11:00:12 +0200 Daniel Exner <[email-masked]> 
wrote:
> > > > Hi!
> > > >
> > > > (Added myself to CC, because I'm not subscribed)
> > > >
> > > > with linux-next snapshot 20080604 my Laptop morphes into sitting duck
> > > > and I think this is due to this:
> > >
> > > I assume 2.6.26-rc5 is OK?
> >
> > Indeed.. just tried it with (nearly) the same config: no unable to locate
> > IOAPIC
> >
> > Will try todays next snapshot above -rc5 now.
>
> OK, thanks.
>
> It would be great if you could test 2.6.26-rc5 plus
> http://userweb.kernel.org/~akpm/git-acpi.patch.  That'll allow us to
> confirm that the regression is due to changes in the acpi tree.
Sorry for the delay.. real-life you know ;)

I guess you'd expect me to confirm the behavior on rc5 with this patch aplied, 
but .. well this Kernel works!

So I think the regression is NOT in the acpi tree. Perhaps pci subsystem?
If I find time I'll try bisecting it..

Greetings
Daniel Exner